javax.sql.rowset.serial

## Class SerialJavaObject

- java.lang.Object
- - javax.sql.rowset.serial.SerialJavaObject

- All Implemented Interfaces:
    Serializable, Cloneable

      public class SerialJavaObject
      extends Object
      implements Serializable, Cloneable

  A serializable mapping in the Java programming language of an SQL `JAVA_OBJECT` value. Assuming the Java object implements the `Serializable` interface, this class simply wraps the serialization process.

  If however, the serialization is not possible because the Java object is not immediately serializable, this class will attempt to serialize all non-static members to permit the object state to be serialized. Static or transient fields cannot be serialized; an attempt to serialize them will result in a `SerialException` object being thrown.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerialJavaObject(Object obj)` Constructor for `SerialJavaObject` helper class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Field[]` | `getFields()` Returns an array of `Field` objects that contains each field of the object that this helper class is serializing.
    `Object` | `getObject()` Returns an `Object` that is a copy of this `SerialJavaObject` object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerialJavaObject

          public SerialJavaObject(Object obj)
                           throws SerialException

      Constructor for `SerialJavaObject` helper class.

      Parameters:
        `obj` - the Java `Object` to be serialized
      Throws:
        `SerialException` - if the object is found not to be serializable

  - ### Method Detail

    - #### getObject

          public Object getObject()
                           throws SerialException

      Returns an `Object` that is a copy of this `SerialJavaObject` object.
      Returns:
        a copy of this `SerialJavaObject` object as an `Object` in the Java programming language
      Throws:
        `SerialException` - if the instance is corrupt

    - #### getFields

          public Field[] getFields()
                            throws SerialException

      Returns an array of `Field` objects that contains each field of the object that this helper class is serializing.
      Returns:
        an array of `Field` objects
      Throws:
        `SerialException` - if an error is encountered accessing the serialized object
      See Also:
        `Class.getFields()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.